%define pkg_name        HTTP-Server-Simple-Mason
%define pkg_version     0.09
%define rpm_pkg_version 0.09
%define rpm_pkg_release 2.n0i.3

Summary:       An abstract base class for a standalone mason server
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/J/JE/JESSE/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)

%if %{!?_without_test:1}0
BuildRequires: perl(Hook::LexWrap)
BuildRequires: perl(HTTP::Server::Simple) >= 0.04
BuildRequires: perl(HTML::Mason) >= 1.25
%endif

Requires: perl(HTTP::Server::Simple) >= 0.04

%description
This is an abstract base class for a standalone HTML::Mason server.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_perl_path ex/}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes ex/


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.09-2.n0i.3
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7

* Thu Sep 01 2005 Marius Feraru <altblue@n0i.net> 0.09-1.n0i.2
- version 0.09

* Wed Aug 31 2005 Marius Feraru <altblue@n0i.net> 0.08-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.09
- rebuild on perl 5.8.7
